summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-04-05 04:51:02 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-04-05 04:51:02 (GMT)
commita3cd13c35dc4f9b2fa85855442e0ac01ba7f308e (patch)
tree6a4235416e00ab8aab4526d1540f928b61b7a7ea
parent684a7deefc1909d5cea43dd69310acc2565def02 (diff)
downloadlinhes_pkgbuild-a3cd13c35dc4f9b2fa85855442e0ac01ba7f308e.zip
linhes_pkgbuild-a3cd13c35dc4f9b2fa85855442e0ac01ba7f308e.tar.gz
linhes_pkgbuild-a3cd13c35dc4f9b2fa85855442e0ac01ba7f308e.tar.bz2
spidermonkey: recompile with header.patch to fill in the missing headers
-rw-r--r--abs/extra-testing/spidermonkey/PKGBUILD8
-rw-r--r--abs/extra-testing/spidermonkey/header.patch12
2 files changed, 15 insertions, 5 deletions
diff --git a/abs/extra-testing/spidermonkey/PKGBUILD b/abs/extra-testing/spidermonkey/PKGBUILD
index 5e43c96..3a44af3 100644
--- a/abs/extra-testing/spidermonkey/PKGBUILD
+++ b/abs/extra-testing/spidermonkey/PKGBUILD
@@ -1,9 +1,6 @@
-# $Id: PKGBUILD 2200 2008-05-29 03:50:56Z eric $
-# Maintainer: Aaron Griffin <aaron@archlinux.org>
-
pkgname=spidermonkey
pkgver=1.7.0
-pkgrel=1
+pkgrel=2
pkgdesc="Mozilla's C implementation of JavaScript."
arch=("i686" "x86_64")
url="http://www.mozilla.org/js/spidermonkey/"
@@ -11,7 +8,7 @@ license=('MPL' 'GPL' 'LGPL')
depends=('nspr')
options=('!makeflags' 'force')
source=("http://ftp.mozilla.org/pub/mozilla.org/js/js-$pkgver.tar.gz" \
- "spidermonkey-1.7-threadsafe.patch")
+ "spidermonkey-1.7-threadsafe.patch" "header.patch")
md5sums=('5571134c3863686b623ebe4e6b1f6fe6' 'b2ef9be017b6aa1857354b5223975a4f')
build()
@@ -21,6 +18,7 @@ build()
[ "$CARCH" = "x86_64" ] && (sed -i -e "s:lib64:lib:g" config.mk || return 1)
# patch Makefile for threadsafe support with native nspr
patch -p2 -i $startdir/src/spidermonkey-1.7-threadsafe.patch || return 1
+ patch -p2 -i $startdir/src/header.patch || return 1
# build - threadsafe
make -f Makefile.ref BUILD_OPT=1 JS_THREADSAFE=1 DIST=$startdir/pkg/usr all export || return 1
# install
diff --git a/abs/extra-testing/spidermonkey/header.patch b/abs/extra-testing/spidermonkey/header.patch
new file mode 100644
index 0000000..b69caae
--- /dev/null
+++ b/abs/extra-testing/spidermonkey/header.patch
@@ -0,0 +1,12 @@
+diff -aur js.orig/src/Makefile.ref js/src/Makefile.ref
+--- js.orig/src/Makefile.ref 2008-07-18 21:05:37.154351682 +0800
++++ js/src/Makefile.ref 2008-07-18 21:06:39.291061725 +0800
+@@ -188,6 +188,8 @@
+ jsstr.h \
+ jsxdrapi.h \
+ jsxml.h \
++ jsutil.h \
++ jsprf.h \
+ $(NULL)
+
+ API_HFILES = \